NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.PlateBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.Plate builder. More...

Inheritance diagram for NXOpen.Features.ShipDesign.PlateBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyTypes { SheetBody, SolidBody }
 Settings to indicate the plate output body type. More...
 
enum  RegionOptions { All, InsideBody, OutsideBody }
 Settings to indicate what areas to create the plate when using body faces as boundaries. More...
 
enum  TightnessOptions { NonTight, WaterTight, OilTight, AirTight }
 Settings to indicate what tightness to create the plate. More...
 
enum  Types { Create, Adopt }
 Settings to indicate how the plate is generated. More...
 

Public Member Functions

unsafe void AddMergeRegionPoint (NXOpen.Point3d regionPoint)
 Adds a merge region point. More...
 
unsafe void AddRegionPoint (NXOpen.Point3d regionPoint)
 Adds a region point. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder 
CreatePlateBoundaryOptionBuilder ()
 Creates a NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder More...
 
unsafe NXOpen.Body[] CreateRegions ()
 Creates regions to output the selected plates. More...
 
unsafe void DeleteRegions ()
 Deletes regions More...
 
unsafe NXOpen.Point3d[] GetMultipleRegionPoints ()
 Gets multiple region points. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.TrimTypes 
GetPlateBoundaryTrimType (int nItem)
 Gets plate boundary trim type More...
 
unsafe bool GetShowMigratedBody ()
 Gets the show migrated body flag. More...
 
unsafe void MapRegionToRegionPoint (string plateRegionString, NXOpen.Point3d regionPoint)
 Maps the user selected plate region to a region point. More...
 
unsafe void RemoveAllRegionPoints ()
 Removes all region points. More...
 
unsafe void RemoveMergeRegionPoint (NXOpen.Point3d regionPoint)
 Removes a merge region point. More...
 
unsafe void RemoveRegionPoint (NXOpen.Point3d regionPoint)
 Removes a region point. More...
 
unsafe void SetKnuckleEdges (NXOpen.Edge[] knuckleEdges)
 Sets the knuckle edges, which include edges for both bend and split types. More...
 
unsafe void SetPlateBoundaryTrimType (int nItem, NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.TrimTypes type)
 Sets plate boundary trim type More...
 
unsafe void SetShowMigratedBody (bool showMigratedBody)
 Sets the show migrated body flag. More...
 
unsafe void UpdatePlateBoundaryOptionList (NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.BoundaryTypes type)
 Updates plate boundary option list. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectBodyList AdoptionBodies [get]
 Returns the adoption bodies, which are used to create multiple plates. More...
 
unsafe NXOpen.ScCollector AdoptionBodiesMoldFace [get]
 Returns the mold face of adoption bodies. More...
 
unsafe NXOpen.SelectBodyList BodyBoundary [get]
 Returns the body boundary, which can be mixed with curve, face and plane to define the plate boundary. More...
 
unsafe NXOpen.Section CurveBoundary [get]
 Returns the curve boundary, which can be a single region or multiple regions. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe
NXOpen.ExpressionCollectorSetList 
FacePlaneBoundary [get]
 Returns the face, plane boundary, which defines a list of trimming objects with offset values. More...
 
unsafe bool FlipDirection [get, set]
 Returns or sets the flip direction, which can change the plate thickness direction. More...
 
unsafe NXOpen.SelectBodyList MergeRegions [get]
 Returns the multiple regions to merge together as plate body. More...
 
unsafe NXOpen.ScCollector MoldFace [get]
 Returns the mold face, which is used to create the plate body and define the plate placement. More...
 
unsafe NXOpen.Expression MoldFaceOffset [get]
 Returns the mold face offset, which defines an offset distance to the mold face. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilderList 
PlateBoundaryOptionList [get]
 Returns the build boundary option builder list More...
 
unsafe
NXOpen.Features.ShipDesign.PlateStockBuilder 
PlateStock [get]
 Returns the plate stock builder, which defines the plate material, grade, thickness, mass density, thicken option and opposite thickness. More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectDirection [get]
 Returns the project direction, which is used to project the boundary curves to the plate mold face. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBuilder.RegionOptions 
RegionOption [get, set]
 Returns or sets the region option, which defines the plate areas in case of body faces as plate boundary. More...
 
unsafe NXOpen.Point3d RegionPoint [get, set]
 Returns or sets the region point, which is used to identify the plate region. More...
 
unsafe NXOpen.SelectNXObjectList Regions [get]
 Returns the regions to create plates More...
 
unsafe
NXOpen.Features.ShipDesign.ShipNamesBuilder 
ShipNames [get]
 Returns the ship name builder. More...
 
unsafe NXOpen.SelectEdgeList SplitKnuckleEdges [get]
 Returns the split knuckle edges, which are used to split a plate into separate knuckle parts. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBuilder.TightnessOptions 
Tightness [get, set]
 Returns or sets the tightness, which defines the plate is tight (air tight, oil tight, water tight) or non tight. More...
 
unsafe
NXOpen.Features.ShipDesign.PlateBuilder.Types 
Type [get, set]
 Returns or sets the plate type, which is creation or adoption. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.Plate builder.

This builder is used to create and edit ship plate feature. The plate feature can be created from construction curves, boundary faces or planes. And also a solid body cab be adopted as a plate.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreatePlateBuilder

Default values.

Property Value

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

MoldFaceOffset.Value

0 (millimeters part), 0 (inches part)

PlateStock.KnuckleRatio

3.0

PlateStock.KnuckleSmoothAngle

3.0

PlateStock.MaterialOption

0

PlateStock.OppositeThickness.Value

0 (millimeters part), 0 (inches part)

PlateStock.RestrictThicknessToMaterial

true

PlateStock.ThickenOption

SingleSided

PlateStock.Thickness.Value

10 (millimeters part), 0.5 (inches part)

PlateStock.ThicknessSourceOption

List

RegionOption

OutsideBody

Tightness

NonTight

Created in NX8.0.0

Member Enumeration Documentation

Settings to indicate the plate output body type.

Enumerator
SheetBody 

Outputs a plate as a sheet body.

SolidBody 

Outputs a plate as a solid body.

Settings to indicate what areas to create the plate when using body faces as boundaries.

Enumerator
All 
InsideBody 
OutsideBody 

Settings to indicate what tightness to create the plate.

Enumerator
NonTight 
WaterTight 
OilTight 
AirTight 

Settings to indicate how the plate is generated.

Enumerator
Create 

Creates plate body.

Adopt 

Adopts plate body.

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.PlateBuilder.AddMergeRegionPoint ( NXOpen.Point3d  regionPoint)
inline

Adds a merge region point.

If there are multiple region points, do a loop to add one by one.

Created in NX12.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
regionPoint
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.AddRegionPoint ( NXOpen.Point3d  regionPoint)
inline

Adds a region point.

If there are multiple region points, do a loop to add one by one.

Created in NX10.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
regionPoint
unsafe NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder NXOpen.Features.ShipDesign.PlateBuilder.CreatePlateBoundaryOptionBuilder ( )
inline

Creates a NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder

Created in NX11.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Returns
unsafe NXOpen.Body [] NXOpen.Features.ShipDesign.PlateBuilder.CreateRegions ( )
inline

Creates regions to output the selected plates.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Returns
Region Bodies
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.DeleteRegions ( )
inline

Deletes regions

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Point3d [] NXOpen.Features.ShipDesign.PlateBuilder.GetMultipleRegionPoints ( )
inline

Gets multiple region points.

Created in NX10.0.0

License requirements: None.

Returns
unsafe NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.TrimTypes NXOpen.Features.ShipDesign.PlateBuilder.GetPlateBoundaryTrimType ( int  nItem)
inline

Gets plate boundary trim type

Created in NX11.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
nItem
Returns
unsafe bool NXOpen.Features.ShipDesign.PlateBuilder.GetShowMigratedBody ( )
inline

Gets the show migrated body flag.

Reserved for administrator use only.

Created in NX8.5.3

License requirements: None.

Returns
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.MapRegionToRegionPoint ( string  plateRegionString,
NXOpen.Point3d  regionPoint 
)
inline

Maps the user selected plate region to a region point.

Created in NX10.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
plateRegionString
regionPoint
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.RemoveAllRegionPoints ( )
inline

Removes all region points.

Created in NX10.0.0

License requirements: None.

unsafe void NXOpen.Features.ShipDesign.PlateBuilder.RemoveMergeRegionPoint ( NXOpen.Point3d  regionPoint)
inline

Removes a merge region point.

Created in NX12.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
regionPoint
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.RemoveRegionPoint ( NXOpen.Point3d  regionPoint)
inline

Removes a region point.

Plate will find the region body by the input region point and remove the cached region point.

Created in NX10.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
regionPoint
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.SetKnuckleEdges ( NXOpen.Edge[]  knuckleEdges)
inline

Sets the knuckle edges, which include edges for both bend and split types.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
knuckleEdgesG0 edges
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.SetPlateBoundaryTrimType ( int  nItem,
NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.TrimTypes  type 
)
inline

Sets plate boundary trim type

Created in NX11.0.0

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
nItem
type
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.SetShowMigratedBody ( bool  showMigratedBody)
inline

Sets the show migrated body flag.

Reserved for administrator use only.

Created in NX8.5.3

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
showMigratedBody
unsafe void NXOpen.Features.ShipDesign.PlateBuilder.UpdatePlateBoundaryOptionList ( NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilder.BoundaryTypes  type)
inline

Updates plate boundary option list.

Created in NX12.0.2

License requirements: nx_ship_detail ("Ship Detail Design")

Parameters
type

Property Documentation

unsafe NXOpen.SelectBodyList NXOpen.Features.ShipDesign.PlateBuilder.AdoptionBodies
get

Returns the adoption bodies, which are used to create multiple plates.

Each plate has a single body.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.PlateBuilder.AdoptionBodiesMoldFace
get

Returns the mold face of adoption bodies.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Features.ShipDesign.PlateBuilder.BodyBoundary
get

Returns the body boundary, which can be mixed with curve, face and plane to define the plate boundary.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.ShipDesign.PlateBuilder.CurveBoundary
get

Returns the curve boundary, which can be a single region or multiple regions.

In case of multiple regions, it creates multiple plates.

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.PlateBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.ExpressionCollectorSetList NXOpen.Features.ShipDesign.PlateBuilder.FacePlaneBoundary
get

Returns the face, plane boundary, which defines a list of trimming objects with offset values.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.PlateBuilder.FlipDirection
getset

Returns or sets the flip direction, which can change the plate thickness direction.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectBodyList NXOpen.Features.ShipDesign.PlateBuilder.MergeRegions
get

Returns the multiple regions to merge together as plate body.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.PlateBuilder.MoldFace
get

Returns the mold face, which is used to create the plate body and define the plate placement.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PlateBuilder.MoldFaceOffset
get

Returns the mold face offset, which defines an offset distance to the mold face.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PlateBoundaryOptionBuilderList NXOpen.Features.ShipDesign.PlateBuilder.PlateBoundaryOptionList
get

Returns the build boundary option builder list

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PlateStockBuilder NXOpen.Features.ShipDesign.PlateBuilder.PlateStock
get

Returns the plate stock builder, which defines the plate material, grade, thickness, mass density, thicken option and opposite thickness.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.ShipDesign.PlateBuilder.ProjectDirection
get

Returns the project direction, which is used to project the boundary curves to the plate mold face.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PlateBuilder.RegionOptions NXOpen.Features.ShipDesign.PlateBuilder.RegionOption
getset

Returns or sets the region option, which defines the plate areas in case of body faces as plate boundary.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Point3d NXOpen.Features.ShipDesign.PlateBuilder.RegionPoint
getset

Returns or sets the region point, which is used to identify the plate region.

Created in NX9.0.3

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.ShipDesign.PlateBuilder.Regions
get

Returns the regions to create plates

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ShipNamesBuilder NXOpen.Features.ShipDesign.PlateBuilder.ShipNames
get

Returns the ship name builder.

The ship name builder is used to construct the part name of the structure.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectEdgeList NXOpen.Features.ShipDesign.PlateBuilder.SplitKnuckleEdges
get

Returns the split knuckle edges, which are used to split a plate into separate knuckle parts.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PlateBuilder.TightnessOptions NXOpen.Features.ShipDesign.PlateBuilder.Tightness
getset

Returns or sets the tightness, which defines the plate is tight (air tight, oil tight, water tight) or non tight.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.PlateBuilder.Types NXOpen.Features.ShipDesign.PlateBuilder.Type
getset

Returns or sets the plate type, which is creation or adoption.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.